세션 취소
curl --request DELETE \
--url https://{issuer}/session/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://{issuer}/session/"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{issuer}/session/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{issuer}/session/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{issuer}/session/"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://{issuer}/session/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{issuer}/session/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyAPI 레퍼런스
세션 해지(로그아웃) | Didit 인증 API
Didit 인증 API의 DELETE /session/은 액세스 토큰에 해당하는 세션을 종료하고 204를 반환합니다. 리프레시 토큰은 더 이상 작동하지 않으며 세션 확인은 즉시 실패합니다.
DELETE
/
session
/
세션 취소
curl --request DELETE \
--url https://{issuer}/session/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://{issuer}/session/"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{issuer}/session/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{issuer}/session/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{issuer}/session/"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://{issuer}/session/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{issuer}/session/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body인증 기능은 새로 추가되었습니다. 이 엔드포인트는
https://<name>.auth.didit.me와 같이 애플리케이션의 발급자가 제공하며, Didit API 키를 사용하지 않습니다.401이 반환되면 세션이 종료되지 않은 것이므로, 리프레시한 후 새 액세스 토큰으로 다시 로그아웃하십시오.
오프라인으로 검증하는 액세스 토큰은 만료될 때까지, 최대 5분 동안 유효합니다. 로그아웃 후 post_logout_redirect_uri를 설정했다면 사용자를 해당 URI로 이동시키십시오. 로그아웃을 참조하십시오.인증
POST /token/에서 반환된 해당 인물의 액세스 token입니다. 헤더가 typ: at+jwt인 ES256 JWT이며 최대 5분 동안 유효합니다. Didit API 키가 아닙니다.
응답
세션이 종료되었습니다.
마지막 수정일 2026년 11월 7일